import request from "@/utils/request";
import { TypeInviteimgDTO } from "@/types/DTO/inviteimgDTO";

// 获取文档列表
export const getInviteimgList = (query: Record<string, any>) => {
  return request<RespondPageType<TypeInviteimgDTO>>({
    url: "/appconf/img/list",
    method: "get",
    params: query,
  });
};
// 获取文档详情
export const getInviteimgInfo = (data: number) => {
  return request<RespondDataType<TypeInviteimgDTO>>({
    url: "/appconf/img/" + data,
    method: "get",
  });
};

// 新增
export const saveInviteimg = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/appconf/img/add",
    method: "post",
    data: data,
  });
};

// 修改
export const updateInviteimg = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/appconf/img/upd",
    method: "post",
    data: data,
  });
};

// 删除
export const deleteInviteimg = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/appconf/img/" + data,
    method: "delete",
  });
};
